import { EventEmitter, ElementRef } from '@angular/core';
import { KeyboardInteractivePrompt } from '../session/ssh';
import { SSHProfile } from '../api';
import { PasswordStorageService } from '../services/passwordStorage.service';
export declare class KeyboardInteractiveAuthComponent {
    private passwordStorage;
    profile: SSHProfile;
    prompt: KeyboardInteractivePrompt;
    step: number;
    done: EventEmitter<any>;
    input: ElementRef;
    remember: boolean;
    constructor(passwordStorage: PasswordStorageService);
    isPassword(): boolean;
    previous(): void;
    next(): void;
}
